Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.attributeSelection
Class BestFirst.LinkedList2

    java.lang.Object
      weka.core.FastVector
          weka.attributeSelection.BestFirst.LinkedList2

All Implemented Interfaces:
  java.io.Serializable, Copyable

Enclosing class:
  BestFirst

    public class BestFirst.LinkedList2

extends FastVector

Class for handling a linked list. Used in best first search. Extends the Vector class.

Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class weka.core.FastVector
`FastVector.FastVectorEnumeration`

Constructor Summary
`BestFirst.LinkedList2(int sz)`

Method Summary
`void` | `addToList(java.lang.Object[] data, double mer)` adds an element (Link) to the list.
`BestFirst.Link2` | `getLinkAt(int index)` returns the element (Link) at a specific index from the list.
`void` | `removeLinkAt(int index)` removes an element (Link) at a specific index from the list.

Methods inherited from class weka.core.FastVector
`addElement, appendElements, capacity, contains, copy, copyElements, elementAt, elements, elements, firstElement, indexOf, insertElementAt, lastElement, removeAllElements, removeElementAt, setCapacity, setElementAt, size, swap, toArray, trimToSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BestFirst.LinkedList2

    public BestFirst.LinkedList2(int sz)

Method Detail

### removeLinkAt

    public void removeLinkAt(int index)
                      throws java.lang.Exception

  removes an element (Link) at a specific index from the list.

  Parameters:
    `index` - the index of the element to be removed.
  Throws:
    `java.lang.Exception`

### getLinkAt

    public BestFirst.Link2 getLinkAt(int index)
                              throws java.lang.Exception

  returns the element (Link) at a specific index from the list.

  Parameters:
    `index` - the index of the element to be returned.
  Throws:
    `java.lang.Exception`

### addToList

    public void addToList(java.lang.Object[] data,
                          double mer)
                   throws java.lang.Exception

  adds an element (Link) to the list.

  Parameters:
    `gr` - the attribute set specification
    `mer` - the "merit" of this attribute set
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD